Zum Inhalt

Create salutation

Create a salutation object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/salutationsWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body

In the request body, supply a JSON representation of salutationWebCon object.

Response

If successful, this method returns 201 Created response code and a salutation object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/salutationsWebCon
Content-type: application/json

{ 
    "code": "U",
    "description": "Männlich - umgs."
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "b5df5380-0d48-ee11-a0d4-e7ca2d5f065c",
    "code": "U",
    "description": "Männlich - umgs."
}

See also

Tips for working with the APIs
salutation
Get salutation
Delete salutation
Update salutation